import service from '@/utils/request'

// 创建模型
export const createAiModel = (data) => {
  return service({
    url: '/aiModel/createAiModel',
    method: 'post',
    data
  })
}

// 删除模型
export const deleteAiModel = (data) => {
  return service({
    url: '/aiModel/deleteAiModel',
    method: 'delete',
    data
  })
}

// 更新模型
export const updateAiModel = (data) => {
  return service({
    url: '/aiModel/updateAiModel',
    method: 'put',
    data
  })
}

// 查询模型
export const findAiModel = (params) => {
  return service({
    url: '/aiModel/findAiModel',
    method: 'get',
    params
  })
}

// 获取模型列表
export const getAiModelList = (params) => {
  return service({
    url: '/aiModel/getAiModelList',
    method: 'get',
    params
  })
}

// 同步提供商模型
export const syncProviderModels = (data) => {
  return service({
    url: '/aiModel/syncProviderModels',
    method: 'post',
    data
  })
}
